# Class Gitlab::Logger < Logger

- lib/gitlab/logger.rb

Methods

B
  - build
E
  - error
I
  - info
R
  - read_latest,
  - read_latest_for

Class Public methods
build() Link

Source: show

    # File lib/gitlab/logger.rb, line 22
    def self.build
      new(Rails.root.join("log", file_name))
    end

error(message) Link

Source: show

    # File lib/gitlab/logger.rb, line 3
    def self.error(message)
      build.error(message)
    end

info(message) Link

Source: show

    # File lib/gitlab/logger.rb, line 7
    def self.info(message)
      build.info(message)
    end

read_latest() Link

Source: show

    # File lib/gitlab/logger.rb, line 11
    def self.read_latest
      path = Rails.root.join("log", file_name)
      self.build unless File.exist?(path)
      logs = %xtail -n 2000 #{path}`.split("\n")
    end

read_latest_for(filename) Link

Source: show

    # File lib/gitlab/logger.rb, line 17
    def self.read_latest_for filename
      path = Rails.root.join("log", filename)
      logs = %xtail -n 2000 #{path}`.split("\n")
    end